# Find libreadline
#
# Usage:
#   find_package(Readline [REQUIRED] [QUIET])
#
# Sets the following variables:
#   - Readline_FOUND        .. true if library is found
#   - Readline_LIBRARIES    .. full path to library
#   - Readline_INCLUDE_DIR  .. full path to include directory
#
# Copyright 2015 Joachim Wuttke, Forschungszentrum Jülich.
# Redistribution permitted.

find_path(Readline_INCLUDE_DIR readline/readline.h)
find_library(Readline_LIBRARIES NAMES readline Readline)

include(FindPackageHandleStandardArgs) # handles QUIET, REQUIRED; sets Readline_FOUND
find_package_handle_standard_args(Readline DEFAULT_MSG Readline_LIBRARIES Readline_INCLUDE_DIR)

include(AssertLibraryFunction)
assert_library_function(Readline rl_initialize "")
assert_library_function(Readline add_history "")

mark_as_advanced(Readline_INCLUDE_DIR Readline_LIBRARIES)
