//**************************************************************************************************
//*  FRIDA: fast reliable interactive data analysis
//*  (C) Joachim Wuttke 1990-, C++ rewrite 2001-
//*  http://apps.jcns.fz-juelich.de/frida
//**************************************************************************************************

//! \file  toplevel.hpp
//! \brief Execution context CFrida.

#ifndef TOPLEVEL_H
#define TOPLEVEL_H


//! Execution context.

class CFrida
{
private:
    void execute_cmd(const std::string cmdline);
    // Time spent in frida, for optimizing numerical routines:
    clock_t clock_start;
    clock_t clock_cmd_i;
    double time_cmd;

public:
    CFrida();
    static std::string prompt();
    void execute_file(const std::string fname);
    void interactive();
};

#endif // TOPLEVEL_H
